package test.salsadev.rest;

import java.util.List;



import javax.annotation.Resource;
import org.springframework.stereotype.Controller;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.ResponseBody;
import test.salsadev.data.MemberDAO;
import test.salsadev.model.Member;

/**
 * JAX-RS Example
 * 
 * This class produces a RESTful service to read the contents of the members table.
 */
@Controller
@RequestMapping("/rest/members")
public class MemberResourceRESTService {

    @Resource
    private MemberDAO memberDAO;

    @RequestMapping(value = "/", method = RequestMethod.POST)
    @ResponseBody
    public Member addMember(final @RequestBody Member member) {
	return memberDAO.saveMember(member);
    }

    
    @RequestMapping(value = "/", method = RequestMethod.GET)
    @ResponseBody
    public List<Member> listAllMembers() {
	return memberDAO.getAllMembers();

    }

    @RequestMapping(value = "/{id}", method = RequestMethod.GET)
    @ResponseBody
    public Member lookupMemberById(@PathVariable long id) {
	return memberDAO.getById(id);
    }
}
